## r-cran-leiden 0.3.3+dfsg

=== DESCRIPTION ===
Package: leiden
Type: Package
Title: R Implementation of Leiden Clustering Algorithm
Version: 0.3.3
Date: 2020-02-03
Authors@R: c(person("S. Thomas", "Kelly", email = "tom.kelly@riken.jp", role = c("aut", "cre", "trl")),
           person("Vincent A.", "Traag", email = "v.a.traag@cwts.leidenuniv.nl", role = c("com")))
Description: Implements the 'Python leidenalg' module to be called in R.
    Enables clustering using the leiden algorithm for partition a graph into communities.
    See the 'Python' repository for more details: <https://github.com/vtraag/leidenalg>
    Traag et al (2018) From Louvain to Leiden: guaranteeing well-connected communities. <arXiv:1810.08473>.
License: GPL-3 | file LICENSE
URL: https://github.com/TomKellyGenetics/leiden
Imports: methods, reticulate, Matrix, igraph
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.0.2
Suggests: data.table, tibble, devtools, covr, testthat, spelling,
        knitr, rmarkdown, RColorBrewer
Language: en-US
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2020-02-04 02:26:36 UTC; tom
Author: S. Thomas Kelly [aut, cre, trl],
  Vincent A. Traag [com]
Maintainer: S. Thomas Kelly <tom.kelly@riken.jp>
Repository: CRAN
Date/Publication: 2020-02-04 07:40:06 UTC

=== debian/changelog ===
r-cran-leiden (0.3.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Tue, 11 Feb 2020 14:17:52 +0100

r-cran-leiden (0.3.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 27 Jan 2020 11:00:00 +0100

r-cran-leiden (0.3.1+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #939836)

 -- Andreas Tille <tille@debian.org>  Mon, 09 Sep 2019 14:08:45 +0200

=== debian/control ===
Source: r-cran-leiden
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-reticulate,
               r-cran-matrix,
               r-cran-igraph
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-leiden
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-leiden.git
Homepage: https://cran.r-project.org/package=leiden

Package: r-cran-leiden
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R implementation of Leiden clustering algorithm
 Implements the 'Python leidenalg' module to be called in R. Enables
 clustering using the leiden algorithm for partition a graph into
 communities. See the 'Python' repository for more details:
 <https://github.com/vtraag/leidenalg> Traag et al (2018) From Louvain to
 Leiden: guaranteeing well-connected communities. <arXiv:1810.08473>.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-data.table, r-cran-tibble
Restrictions: allow-stderr

## r-cran-leiden 0.3.7+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: leiden
 Type: Package
 Title: R Implementation of Leiden Clustering Algorithm
-Version: 0.3.3
-Date: 2020-02-03
+Version: 0.3.7
+Date: 2021-01-26
 Authors@R: c(person("S. Thomas", "Kelly", email = "tom.kelly@riken.jp", role = c("aut", "cre", "trl")),
            person("Vincent A.", "Traag", email = "v.a.traag@cwts.leidenuniv.nl", role = c("com")))
 Description: Implements the 'Python leidenalg' module to be called in R.
@@ -14,15 +14,17 @@
 Imports: methods, reticulate, Matrix, igraph
 Encoding: UTF-8
 LazyData: true
-RoxygenNote: 7.0.2
-Suggests: data.table, tibble, devtools, covr, testthat, spelling,
-        knitr, rmarkdown, RColorBrewer
+RoxygenNote: 7.1.1
+Suggests: bipartite, covr, data.table, devtools, graphsim, knitr,
+        multiplex, multinet, markdown, network, RColorBrewer,
+        rmarkdown, spelling, testthat, tibble
 Language: en-US
 VignetteBuilder: knitr
+Collate: 'find_partition.R' 'leiden.R' 'py_objects.R'
 NeedsCompilation: no
-Packaged: 2020-02-04 02:26:36 UTC; tom
+Packaged: 2021-01-26 11:14:25 UTC; tom
 Author: S. Thomas Kelly [aut, cre, trl],
   Vincent A. Traag [com]
 Maintainer: S. Thomas Kelly <tom.kelly@riken.jp>
 Repository: CRAN
-Date/Publication: 2020-02-04 07:40:06 UTC
+Date/Publication: 2021-01-26 16:00:02 UTC

=== debian/changelog ===
r-cran-leiden (0.3.7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * debian/test/run-test: correct package reference

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 28 Jan 2021 14:26:00 +0100

r-cran-leiden (0.3.6+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jan 2021 06:56:11 +0100

r-cran-leiden (0.3.5+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Ignore tests needing r-cran-bipartite since this package has licensing
    issues (see #973872)
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 20 Nov 2020 12:01:33 +0100

r-cran-leiden (0.3.3+dfsg-2) unstable; urgency=medium

  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 21:56:31 +0200

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-reticulate,
                r-cran-matrix,
                r-cran-igraph
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-leiden
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-leiden.git
 Homepage: https://cran.r-project.org/package=leiden
+Rules-Requires-Root: no
 
 Package: r-cran-leiden
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-data.table, r-cran-tibble
# r-cran-bipartite has licensing issues (see #973872)
Restrictions: allow-stderr

## r-cran-leiden 0.3.9%2Bdfsg

=== DESCRIPTION ===
Package: leiden
Type: Package
Title: R Implementation of Leiden Clustering Algorithm
Version: 0.3.9
Date: 2021-07-27
Authors@R: c(person("S. Thomas", "Kelly", email = "tomkellygenetics@gmail.com", role = c("aut", "cre", "trl")),
           person("Vincent A.", "Traag", email = "v.a.traag@cwts.leidenuniv.nl", role = c("com")))
Description: Implements the 'Python leidenalg' module to be called in R.
    Enables clustering using the leiden algorithm for partition a graph into communities.
    See the 'Python' repository for more details: <https://github.com/vtraag/leidenalg>
    Traag et al (2018) From Louvain to Leiden: guaranteeing well-connected communities. <arXiv:1810.08473>.
License: GPL-3 | file LICENSE
URL: https://github.com/TomKellyGenetics/leiden
BugReports: https://github.com/TomKellyGenetics/leiden/issues
Imports: methods, reticulate, Matrix, igraph
Encoding: UTF-8
RoxygenNote: 7.1.1
Suggests: bipartite, covr, data.table, devtools, graphsim, knitr,
        multiplex, multinet, markdown, network, RColorBrewer,
        rmarkdown, spelling, testthat, tibble
Language: en-US
VignetteBuilder: knitr
Collate: 'find_partition.R' 'leiden.R' 'py_objects.R'
NeedsCompilation: no
Packaged: 2021-07-27 06:37:09 UTC; tom
Author: S. Thomas Kelly [aut, cre, trl],
  Vincent A. Traag [com]
Maintainer: S. Thomas Kelly <tomkellygenetics@gmail.com>
Repository: CRAN
Date/Publication: 2021-07-27 08:50:04 UTC

## r-cran-leiden 0.3.9+dfsg

=== debian/changelog ===
r-cran-leiden (0.3.9+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 21 Sep 2021 06:41:00 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-cran-reticulate,
                r-cran-matrix,
                r-cran-igraph
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-leiden
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-leiden.git
 Homepage: https://cran.r-project.org/package=leiden

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/leiden_([-\d.]*)\.tar\.gz

## r-cran-leiden 0.4.2+dfsg

=== debian/changelog ===
r-cran-leiden (0.4.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Needs Test-Depends r-cran-multiplex which is not available yet so
    ignore this test for the moment

 -- Andreas Tille <tille@debian.org>  Tue, 17 May 2022 12:18:42 +0200

r-cran-leiden (0.3.10+dfsg-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 04 May 2022 09:54:23 +0200

## r-cran-leiden 0.4.3+dfsg

=== DESCRIPTION ===
Package: leiden
Type: Package
Title: R Implementation of Leiden Clustering Algorithm
Version: 0.4.3
Date: 2022-09-10
Authors@R: c(person("S. Thomas", "Kelly", email = "tomkellygenetics@gmail.com", role = c("aut", "cre", "trl")),
           person("Vincent A.", "Traag", email = "v.a.traag@cwts.leidenuniv.nl", role = c("com")))
Description: Implements the 'Python leidenalg' module to be called in R.
    Enables clustering using the leiden algorithm for partition a graph into communities.
    See the 'Python' repository for more details: <https://github.com/vtraag/leidenalg>
    Traag et al (2018) From Louvain to Leiden: guaranteeing well-connected communities. <arXiv:1810.08473>.
License: GPL-3 | file LICENSE
URL: https://github.com/TomKellyGenetics/leiden
BugReports: https://github.com/TomKellyGenetics/leiden/issues
Imports: methods, reticulate, Matrix, igraph (>= 1.2.7)
Encoding: UTF-8
RoxygenNote: 7.1.2
Suggests: bipartite, covr, data.table, devtools, graphsim, knitr,
        markdown, multiplex, multinet, network, RColorBrewer, remotes,
        rmarkdown, spelling, testthat, tibble
Language: en-US
VignetteBuilder: knitr
Collate: 'find_partition.R' 'leiden.R' 'py_objects.R'
NeedsCompilation: no
Packaged: 2022-09-10 14:11:24 UTC; tom
Author: S. Thomas Kelly [aut, cre, trl],
  Vincent A. Traag [com]
Maintainer: S. Thomas Kelly <tomkellygenetics@gmail.com>
Repository: CRAN
Date/Publication: 2022-09-10 17:22:53 UTC

=== debian/changelog ===
r-cran-leiden (0.4.3+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 15 Sep 2022 15:03:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: r-cran-leiden
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-leiden
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-leiden.git
+Homepage: https://cran.r-project.org/package=leiden
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-reticulate,
                r-cran-matrix,
-               r-cran-igraph
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-leiden
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-leiden.git
-Homepage: https://cran.r-project.org/package=leiden
-Rules-Requires-Root: no
+               r-cran-igraph (>= 1.2.7)
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-leiden
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-data.table, r-cran-tibble
# r-cran-multiplex
# r-cran-bipartite has licensing issues (see #973872)
Restrictions: allow-stderr

## r-cran-leiden 0.4.3.1%2Bdfsg

=== debian/changelog ===
r-cran-leiden (0.4.3.1+dfsg-1) unstable; urgency=medium

  * d/watch: s/cloud/cran/
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 21 Nov 2023 10:53:36 +0100

## r-cran-leiden 0.4.3.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: leiden
 Type: Package
 Title: R Implementation of Leiden Clustering Algorithm
-Version: 0.4.3
-Date: 2022-09-10
+Version: 0.4.3.1
+Date: 2023-11-08
 Authors@R: c(person("S. Thomas", "Kelly", email = "tomkellygenetics@gmail.com", role = c("aut", "cre", "trl")),
            person("Vincent A.", "Traag", email = "v.a.traag@cwts.leidenuniv.nl", role = c("com")))
 Description: Implements the 'Python leidenalg' module to be called in R.
@@ -14,17 +14,17 @@
 BugReports: https://github.com/TomKellyGenetics/leiden/issues
 Imports: methods, reticulate, Matrix, igraph (>= 1.2.7)
 Encoding: UTF-8
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.3
 Suggests: bipartite, covr, data.table, devtools, graphsim, knitr,
-        markdown, multiplex, multinet, network, RColorBrewer, remotes,
-        rmarkdown, spelling, testthat, tibble
+        markdown, multiplex, multinet, network, qpdf, RColorBrewer,
+        remotes, rmarkdown, spelling, testthat, tibble
 Language: en-US
 VignetteBuilder: knitr
 Collate: 'find_partition.R' 'leiden.R' 'py_objects.R'
 NeedsCompilation: no
-Packaged: 2022-09-10 14:11:24 UTC; tom
+Packaged: 2023-11-13 08:25:25 UTC; kelly-t
 Author: S. Thomas Kelly [aut, cre, trl],
   Vincent A. Traag [com]
 Maintainer: S. Thomas Kelly <tomkellygenetics@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-09-10 17:22:53 UTC
+Date/Publication: 2023-11-17 10:20:23 UTC

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-leiden
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-leiden.git
 Homepage: https://cran.r-project.org/package=leiden
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-data.table,
        r-cran-devtools,
        r-cran-knitr,
        r-cran-markdown,
        r-cran-network,
        r-cran-qpdf,
        r-cran-rcolorbrewer,
        r-cran-remotes,
        r-cran-rmarkdown,
        r-cran-spelling,
        r-cran-testthat,
        r-cran-tibble
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/leiden_([-\d.]*)\.tar\.gz
